/*
 * Screen Context Data class 
 * Created on 19 aot 2009 ( Time 12:19:38 )
 */

package org.telosys.samples.screen.author ;

import org.objectweb.telosys.common.TelosysException;
import org.objectweb.telosys.screen.core.StandardScreenData;

import org.telosys.samples.vo.bean.Author;

/**
 * This class defines the Screen Context Data elements 
 *
 * @author xx
 *
 */
public class AuthorData extends StandardScreenData 
{

    private static final long serialVersionUID = 1L;
    
	//--------------------------------------------------------------
	// Element(s) name(s)
	//--------------------------------------------------------------
	public final static String AUTHOR = "author";
	
    /**
     * Default constructor.
     */
	public AuthorData() throws TelosysException 
	{
		super();
		defineElement(AUTHOR, Author.class);
	}
	
	//--------------------------------------------------------------
	// Element(s) getter(s)/setter(s)
	//--------------------------------------------------------------	
    public Author getAuthor()
    {
        return (Author) getElement(AUTHOR); 
    }
    public void setAuthor(Author v)
    {
    	setElement(AUTHOR, v);
    }
}
