/*
 * Triggers for AuthorData operations
 * Created on 19 aot 2009 ( Time 12:22:58 )
 */

package org.telosys.samples.screen.author;

import org.objectweb.telosys.dal.dao.DatabaseSession;
import org.objectweb.telosys.rpl.ScreenRequest;
import org.objectweb.telosys.rpl.ScreenResponse;
import org.objectweb.telosys.screen.core.ScreenContext;
import org.objectweb.telosys.screen.core.ScreenData;
import org.objectweb.telosys.screen.core.StandardScreenTriggers;

/**
 * Triggers for AuthorData operations
 * 
 * @author xx
 */
public class AuthorTrg extends StandardScreenTriggers
{
    public boolean beforeLoad (ScreenData screenData, ScreenContext context, ScreenRequest request, ScreenResponse response, DatabaseSession dbSession )
    {
    	System.out.println("TRIGGER : AuthorTrg - beforeLoad ");
    	//AuthorData dataToLoad = (AuthorData) screenData ;
		return true ;
	}

    public boolean afterLoad (ScreenData screenData, ScreenContext context, ScreenRequest request, ScreenResponse response, DatabaseSession dbSession )
    {
    	System.out.println("TRIGGER : AuthorTrg - afterLoad ");
    	//AuthorData dataLoaded = (AuthorData) screenData ;
		return true ;
	}

    public boolean beforeSave (ScreenData screenData, ScreenContext context, ScreenRequest request, ScreenResponse response, DatabaseSession dbSession )
    {
    	//AuthorData dataToSave = (AuthorData) screenData ;
		return true ;
	}

    public boolean afterSave (ScreenData screenData, ScreenContext context, ScreenRequest request, ScreenResponse response, DatabaseSession dbSession )
    {
    	//AuthorData dataSaved = (AuthorData) screenData ;
		return true ;
	}

}